// pageage/safetyManagement/securityCheckRectified/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        stateNav:1,
        statePosit:2,

        listData:[
            {
                title:'周检1 2023-04-15',
                rectify_front_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                rectify_after_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                questions_number:6,
                rectification_number:3,
                rectification_prop:100,
                rectify_time:'2023-05-10'
            },
            {
                title:'周检2 2023-04-15',
                rectify_front_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                rectify_after_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                questions_number:6,
                rectification_number:3,
                rectification_prop:100,
                rectify_time:'2023-05-10'
            },
            {
                title:'周检3 2023-04-15',
                rectify_front_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                rectify_after_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                questions_number:6,
                rectification_number:3,
                rectification_prop:100,
                rectify_time:'2023-05-10'
            },
            {
                title:'周检3 2023-04-15',
                rectify_front_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                rectify_after_img:'https://img.yzcdn.cn/vant/cat.jpeg',
                questions_number:6,
                rectification_number:3,
                rectification_prop:100,
                rectify_time:'2023-05-10'
            },
        ]



    },

    // 常规检查   专项检查  选择
    onStateSelect(e){
        let state = e.currentTarget.dataset.state;
        this.setData({
            stateNav:state,
        });
    },

    //待整改 已整改 选择
    onStatePosit(e){
        let state = e.currentTarget.dataset.state;
        this.setData({
            statePosit:state,
        });
    },

    //项目切换 返回值
    onProjectSelect(e) {
        console.log(e)
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})